Package be.fgov.ehealth.certra.core.v2

# Class CertificateIdentifierType

java.lang.Object
be.fgov.ehealth.certra.core.v2.CertificateIdentifierType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class CertificateIdentifierType extends Object implements Serializable
This type contains the identification details of a certificate: The health care actor to which the certificate was issued and the optional ApplicationId assigned to the certificate.

Java class for CertificateIdentifierType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CertificateIdentifierType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Actor" type="{urn:be:fgov:ehealth:commons:core:v2}ActorType"/>
             <element name="ApplicationId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertificateIdentifierType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ActorType`
  `getActor()`
  The health care actor that owns the certificate.
  `String`
  `getApplicationId()`
  An optional applicationId that can be used to differentiate multiple certificates assigned to the same actor.
  `void`
  `setActor(ActorType value)`
  Sets the value of the actor property.
  `void`
  `setApplicationId(String value)`
  Sets the value of the applicationId property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CertificateIdentifierType

    public CertificateIdentifierType()

- ## Method Details

  - ### getActor

    public ActorType getActor()
    The health care actor that owns the certificate. An actor may be a natural person in case the identifier type is SSIN or an organization in case of other identifier types. An actor is always identified by a single unique identifier.
    Returns:
      possible object is `ActorType`

  - ### setActor

    public void setActor(ActorType value)
    Sets the value of the actor property.
    Parameters:
      `value` - allowed object is `ActorType`
    See Also:
      - `getActor()`

  - ### getApplicationId

    public String getApplicationId()
    An optional applicationId that can be used to differentiate multiple certificates assigned to the same actor. Only organizations may make use of this applicationId.
    Returns:
      possible object is `String`

  - ### setApplicationId

    public void setApplicationId(String value)
    Sets the value of the applicationId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getApplicationId()`